403Webshell
Server IP : 103.30.41.158  /  Your IP : 216.73.217.126
Web Server : nginx/1.24.0
System : Linux hlvps 5.14.0-457.el9.x86_64 #1 SMP PREEMPT_DYNAMIC Thu May 30 22:48:58 UTC 2024 x86_64
User : www ( 1000)
PHP Version : 8.0.26
Disable Function : passthru,exec,system,putenv,chroot,chgrp,chown,shell_exec,popen,proc_open,pcntl_exec,ini_alter,ini_restore,dl,openlog,syslog,readlink,symlink,popepassthru,pcntl_alarm,pcntl_fork,pcntl_waitpid,pcntl_wait,pcntl_wifexited,pcntl_wifstopped,pcntl_wifsignaled,pcntl_wifcontinued,pcntl_wexitstatus,pcntl_wtermsig,pcntl_wstopsig,pcntl_signal,pcntl_signal_dispatch,pcntl_get_last_error,pcntl_strerror,pcntl_sigprocmask,pcntl_sigwaitinfo,pcntl_sigtimedwait,pcntl_exec,pcntl_getpriority,pcntl_setpriority,imap_open,apache_setenv
MySQL : OFF  |  cURL : ON  |  WGET : ON  |  Perl : ON  |  Python : OFF  |  Sudo : ON  |  Pkexec : ON
Directory :  /bin/

Upload File :
current_dir [ Writeable ] document_root [ Writeable ]

 

Command :


[ Back ]     

Current File : /bin/clevis-luks-unlock
#!/usr/bin/bash -e
# vim: set tabstop=8 shiftwidth=4 softtabstop=4 expandtab smarttab colorcolumn=80:
#
# Copyright (c) 2016 Red Hat, Inc.
# Author: Nathaniel McCallum <npmccallum@redhat.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
. clevis-luks-common-functions

SUMMARY="Unlocks a LUKS volume"

function usage() {
    exec >&2
    echo
    echo "Usage: clevis luks unlock -d DEV [-n NAME] [-t SLT]"
    echo
    echo "$SUMMARY":
    echo
    echo "  -d DEV  The LUKS device on which to perform unlocking"
    echo
    echo "  -n NAME The name of the unlocked device node"
    echo
    echo "  -t SLT Test the passphrase for the given slot without unlocking"
    echo "         the device"
    echo
    echo "  -o OPTS Pass options to underlying 'cryptsetup open'; be sure"
    echo "          to quote the OPTS you pass, if they contain a space,"
    echo "          etc."
    echo
    exit 2
}

if [ $# -eq 1 ] && [ "$1" == "--summary" ]; then
    echo "$SUMMARY"
    exit 0
fi

while getopts ":d:n:t:o:" o; do
    case "$o" in
    d) DEV="$OPTARG";;
    n) NAME="$OPTARG";;
    t) SLT="$OPTARG";;
    o) OPENARGS="$OPTARG";;
    *) usage;;
    esac
done

if [ -z "$DEV" ]; then
    echo "Did not specify a device!" >&2
    usage
fi

if ! cryptsetup isLuks "$DEV"; then
    echo "$DEV is not a LUKS device!" >&2
    exit 1
fi

NAME="${NAME:-luks-"$(cryptsetup luksUUID "$DEV")"}"

if [ -n "$SLT" ]; then
    if ! clevis_luks_unlock_device_by_slot "${DEV}" "${SLT}" >/dev/null; then
        echo "Test for token slot ${SLT} on device ${DEV} failed." >&2
        exit 1
    fi
else
    if ! pt=$(clevis_luks_unlock_device "${DEV}"); then
        echo "${DEV} could not be opened." >&2
        exit 1
    fi

    echo -n "${pt}" | cryptsetup ${OPENARGS} open -d- "${DEV}" "${NAME}"
fi

Youez - 2016 - github.com/yon3zu
LinuXploit